import type { FieldArrayPath, FieldValues, FormStore, Maybe, RawFieldArrayState, ResponseData } from '../types';
/**
 * Returns the RAW state of the field array.
 *
 * @param form The form of the field array.
 * @param name The name of the field array.
 *
 * @returns The state of the field array.
 */
export declare function getFieldArrayState<TFieldValues extends FieldValues, TResponseData extends ResponseData>(form: FormStore<TFieldValues, TResponseData>, name: FieldArrayPath<TFieldValues>): Maybe<RawFieldArrayState>;
